/**
 * JORM: an implementation of a generic mapping system for persistent Java
 *       objects. Two mapping are supported: to RDBMS and to binary files.
 * Copyright (C) 2001-2002 France Telecom R&D - INRIA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Contact: pascal.dechamboux@rd.francetelecom.com
 *
 * Authors: R. Basset, S. Chassande-Barrioz, P. Dechamboux, N. De Palma,
 *          A. Lefebvre, X. Spengler.
 *
 */

package jorm;

import org.objectweb.jorm.api.PAccessor;
import org.objectweb.jorm.api.PException;

public interface Cmp2_CustomerAccessor extends PAccessor {

	//Accessors to the lastName field
	public void paSetLastName(java.lang.String val) throws PException;
	public java.lang.String paGetLastName() throws PException;

	//Accessors to the firstName field
	public void paSetFirstName(java.lang.String val) throws PException;
	public java.lang.String paGetFirstName() throws PException;

	//Accessors to the hasGoodCredit field
	public void paSetHasGoodCredit(boolean val) throws PException;
	public boolean paGetHasGoodCredit() throws PException;

	//Accessors to the id field
	public void paSetId(java.lang.Integer val) throws PException;
	public java.lang.Integer paGetId() throws PException;

	//Accessors to the creditCard field
	public void paSetCreditCard(Object val, Object connection) throws PException;
	public Object paGetCreditCard(Object connection) throws PException;

	//Accessors to the homeAddress field
	public void paSetHomeAddress(Object val, Object connection) throws PException;
	public Object paGetHomeAddress(Object connection) throws PException;

	//Accessors to the reservations field
	public void paSetReservations(Object val, Object connection) throws PException;
	public Object paGetReservations(Object connection) throws PException;

	//Accessors to the phoneNumbers field
	public void paSetPhoneNumbers(Object val, Object connection) throws PException;
	public Object paGetPhoneNumbers(Object connection) throws PException;
}